/*

* Copyright 2009 by GRUPO IE, Inc.

* 

* Private and Confidential

* Code contained in this document is the property of GRUPO IE. 

* It is for the exclusive use of designated employees 

* and not for distribution without prior written

* authorization.

*/

/*

* Q02bQ022CT00.java

*

* Created on 25/02/09 03:57:21

*/

package q02b.exe.tablasBD;

import java.sql.SQLException;

import java.sql.ResultSet;

import java.sql.Connection;

import q02b.exe.arquitectura.dataobjects.Q02bDAOException;

import q02b.exe.arquitectura.utils.tablasBD.*;

import java.util.ArrayList;

//import java.math.BigDecimal;



/*

*

* @author automatic generated

* @version 1.0

*/

public class Q02bTablaBDQ022CS00 extends Q02bTablaBD implements Q02bITablaBDQ022CS00 {

    private static final long serialVersionUID =1L;

    /** Constante para la propiedad Q022CT00_ID_GRUPO */

    public final static int COLUMN_Q022CT00_ID_GRUPO = 1;

    /** Constante para la propiedad Q022CT00_ID_GRUPO */

    public final static String NOMCOLUMN_Q022CT00_ID_GRUPO = "Q022CT00_ID_GRUPO";

    /** Constante para la propiedad Q022CT00_ID_GRUPO */

    public final static int TAM_MAXIMO_Q022CT00_ID_GRUPO = 8;

    /** Constante para la propiedad Q022CT00_ANO */

    public final static int COLUMN_Q022CT00_ANO = 2;

    /** Constante para la propiedad Q022CT00_ANO */

    public final static String NOMCOLUMN_Q022CT00_ANO = "Q022CT00_ANO";

    /** Constante para la propiedad Q022CT00_ANO */

    public final static int TAM_MAXIMO_Q022CT00_ANO = 4;

    /** Constante para la propiedad Q022CT00_REALIZA_ACTUACION */

    public final static int COLUMN_Q022CT00_REALIZA_ACTUACION = 3;

    /** Constante para la propiedad Q022CT00_REALIZA_ACTUACION */

    public final static String NOMCOLUMN_Q022CT00_REALIZA_ACTUACION = "Q022CT00_REALIZA_ACTUACION";

    /** Constante para la propiedad Q022CT00_REALIZA_ACTUACION */

    public final static int TAM_MAXIMO_Q022CT00_REALIZA_ACTUACION = 1;

    /** Constante para la propiedad Q022CT00_FEC_ALTA */

    public final static int COLUMN_Q022CT00_FEC_ALTA = 4;

    /** Constante para la propiedad Q022CT00_FEC_ALTA */

    public final static String NOMCOLUMN_Q022CT00_FEC_ALTA = "Q022CT00_FEC_ALTA";

    /** Constante para la propiedad Q022CT00_FEC_ALTA */

    public final static int TAM_MAXIMO_Q022CT00_FEC_ALTA = 7;

    /** Constante para la propiedad Q022CT00_FEC_MOD */

    public final static int COLUMN_Q022CT00_FEC_MOD = 5;

    /** Constante para la propiedad Q022CT00_FEC_MOD */

    public final static String NOMCOLUMN_Q022CT00_FEC_MOD = "Q022CT00_FEC_MOD";

    /** Constante para la propiedad Q022CT00_FEC_MOD */

    public final static int TAM_MAXIMO_Q022CT00_FEC_MOD = 7;

    /** Constante para la propiedad Q22CT00_MES */

    public final static int COLUMN_Q22CT00_MES = 6;

    /** Constante para la propiedad Q22CT00_MES */

    public final static String NOMCOLUMN_Q22CT00_MES = "Q22CT00_MES";

    /** Constante para la propiedad Q22CT00_MES */

    public final static int TAM_MAXIMO_Q22CT00_MES = 2;

    /** Constante para la propiedad MUN_PROV */

    public final static int COLUMN_MUN_PROV = 7;

    /** Constante para la propiedad MUN_PROV */

    public final static String NOMCOLUMN_MUN_PROV = "MUN_PROV";

    /** Constante para la propiedad MUN_PROV */

    public final static int TAM_MAXIMO_MUN_PROV = 2;

    /** Constante para la propiedad MUN_MUNI */

    public final static int COLUMN_MUN_MUNI = 8;

    /** Constante para la propiedad MUN_MUNI */

    public final static String NOMCOLUMN_MUN_MUNI = "MUN_MUNI";

    /** Constante para la propiedad MUN_MUNI */

    public final static int TAM_MAXIMO_MUN_MUNI = 3;

    /** Constante para la propiedad Q022CT00_OBSSU */

    public final static int COLUMN_Q022CT00_OBSSU = 9;

    /** Constante para la propiedad Q022CT00_OBSSU */

    public final static String NOMCOLUMN_Q022CT00_OBSSU = "Q022CT00_OBSSU";

    /** Constante para la propiedad Q022CT00_OBSSU */

    public final static int TAM_MAXIMO_Q022CT00_OBSSU = 250;

    /** Constante para la propiedad Q022CT00_NCUS */

    public final static int COLUMN_Q022CT00_NCUS = 10;

    /** Constante para la propiedad Q022CT00_NCUS */

    public final static String NOMCOLUMN_Q022CT00_NCUS = "Q022CT00_NCUS";

    /** Constante para la propiedad Q022CT00_NCUS */

    public final static int TAM_MAXIMO_Q022CT00_NCUS = 2;

    /** Constante para la propiedad NUMCOLUMNAS */

    public final static int COLUMN_NUMCOLUMNAS = 10;

    protected StringBuffer queryLog = new StringBuffer();

    /** Holds value of property Q022CT00_ID_GRUPO*/

    protected Integer Q022CT00_ID_GRUPO = null;

    /** Holds value of property Q022CT00_ID_GRUPO_WHERE */

    protected Integer Q022CT00_ID_GRUPO_WHERE = null;

    protected boolean Q022CT00_ID_GRUPO_MODIF = false;

    /** Holds value of property Q022CT00_ANO*/

    protected Integer Q022CT00_ANO = null;

    /** Holds value of property Q022CT00_ANO_WHERE */

    protected Integer Q022CT00_ANO_WHERE = null;

    protected boolean Q022CT00_ANO_MODIF = false;

    /** Holds value of property Q022CT00_REALIZA_ACTUACION*/

    protected Integer Q022CT00_REALIZA_ACTUACION = null;

    /** Holds value of property Q022CT00_REALIZA_ACTUACION_WHERE */

    protected Integer Q022CT00_REALIZA_ACTUACION_WHERE = null;

    protected boolean Q022CT00_REALIZA_ACTUACION_MODIF = false;

    /** Holds value of property Q022CT00_FEC_ALTA*/

    protected java.util.Date Q022CT00_FEC_ALTA = null;

    /** Holds value of property Q022CT00_FEC_ALTA_WHERE */

    protected java.util.Date Q022CT00_FEC_ALTA_WHERE = null;

    protected boolean Q022CT00_FEC_ALTA_MODIF = false;

    /** Holds value of property Q022CT00_FEC_MOD*/

    protected java.util.Date Q022CT00_FEC_MOD = null;

    /** Holds value of property Q022CT00_FEC_MOD_WHERE */

    protected java.util.Date Q022CT00_FEC_MOD_WHERE = null;

    protected boolean Q022CT00_FEC_MOD_MODIF = false;

    /** Holds value of property Q22CT00_MES*/

    protected Integer Q22CT00_MES = null;

    /** Holds value of property Q22CT00_MES_WHERE */

    protected Integer Q22CT00_MES_WHERE = null;

    protected boolean Q22CT00_MES_MODIF = false;

    /** Holds value of property MUN_PROV*/

    protected String MUN_PROV = null;

    /** Holds value of property MUN_PROV_WHERE */

    protected String MUN_PROV_WHERE = null;

    protected boolean MUN_PROV_MODIF = false;

    /** Holds value of property MUN_MUNI*/

    protected String MUN_MUNI = null;

    /** Holds value of property MUN_MUNI_WHERE */

    protected String MUN_MUNI_WHERE = null;

    protected boolean MUN_MUNI_MODIF = false;

    /** Holds value of property Q022CT00_OBSSU*/

    protected String Q022CT00_OBSSU = null;

    /** Holds value of property Q022CT00_OBSSU_WHERE */

    protected String Q022CT00_OBSSU_WHERE = null;

    protected boolean Q022CT00_OBSSU_MODIF = false;

    /** Holds value of property Q022CT00_NCUS*/

    protected Integer Q022CT00_NCUS = null;

    /** Holds value of property Q022CT00_NCUS_WHERE */

    protected Integer Q022CT00_NCUS_WHERE = null;

    protected boolean Q022CT00_NCUS_MODIF = false;

    /** Holds value of property numMaxRegistros. */

    protected int  numMaxRegistros = 0;

    /** Holds value of property numInicio. */

    protected int  numInicio = 0;

    /** Holds value of property numFinal. */

    protected int  numFinal = 0;

    /** Holds value of property orderBy. */

    protected String  orderBy = null;

    /** Holds value of property limitRows. */

    protected boolean  limitRows = false;

    /** Holds value of property aditionalWhere. */

    protected String  aditionalWhere = null;

    /** Holds value of property initialWhere. */

    protected String  initialWhere = null;

    /** Holds value of property fixedWhere. */

    protected String  fixedWhere = null;

    /** Holds value of property distinct. */

    protected String  distinct = null;

    /** Holds value of property groupBy. */

    protected String  groupBy = null;

    /** Holds value of property max. */

    protected String  max = null;

    /** Holds value of property fechaClase. */

    protected static String sFechaClase = "25/02/09 03:57:21";

    protected String columnas[] =  {"Q022CT00_ID_GRUPO", "Q022CT00_ANO", "Q022CT00_REALIZA_ACTUACION", "Q022CT00_FEC_ALTA", "Q022CT00_FEC_MOD", "Q22CT00_MES", "MUN_PROV", "MUN_MUNI", "Q022CT00_OBSSU", "Q022CT00_NCUS"};

    protected int tipos[] =  {3, 3, 3, 93, 93, 3, 12, 12, 12, 3};

    protected int longitudes[] =  {8, 4, 1, 7, 7, 2, 2, 3, 250, 2};

    protected ArrayList columnasSelect = new ArrayList();

    protected StringBuffer sbColumnasSelect = new StringBuffer();

    protected ArrayList alias = new ArrayList();

    protected String columnasPK[] =  {"Q022CT00_ID_GRUPO"};

    protected String columnasFK[] =  {null};

    protected String tablasFK[] =  {null};

    protected boolean nullables[] =  {false,false,false,true,true,true,true,true,true,true};



    protected Class arrClases[]={java.sql.Connection.class};

    protected Object arrObjetos[]={connection};

    protected String tableFrom="Q022CS00";

    protected int regModif=0;

    protected boolean uncommittedRead=false;

    protected boolean forUpdate=false;

    protected Q02bITablaBDQ022CS00 iTablaBDQ022CS00 = null;

    /** Creates new Q022CT00 */

    public Q02bTablaBDQ022CS00() {

        setTableName(this.getClass().getName().substring(this.getClass().getName().lastIndexOf(".")));

    }



    /** Creates new Q022CS00 */

    public Q02bTablaBDQ022CS00(Connection con) {

        connection=con;

        setTableName(this.getClass().getName().substring(this.getClass().getName().lastIndexOf(".")));

    }



    /** Method reset */

    public void reset() {

        iTablaBDQ022CS00.setQ022CT00_ID_GRUPO(null);

        iTablaBDQ022CS00.setQ022CT00_ID_GRUPO_WHERE(null);

        iTablaBDQ022CS00.setQ022CT00_ID_GRUPO_MODIF(false);

        iTablaBDQ022CS00.setQ022CT00_ANO(null);

        iTablaBDQ022CS00.setQ022CT00_ANO_WHERE(null);

        iTablaBDQ022CS00.setQ022CT00_ANO_MODIF(false);

        iTablaBDQ022CS00.setQ022CT00_REALIZA_ACTUACION(null);

        iTablaBDQ022CS00.setQ022CT00_REALIZA_ACTUACION_WHERE(null);

        iTablaBDQ022CS00.setQ022CT00_REALIZA_ACTUACION_MODIF(false);

        iTablaBDQ022CS00.setQ022CT00_FEC_ALTA(null);

        iTablaBDQ022CS00.setQ022CT00_FEC_ALTA_WHERE(null);

        iTablaBDQ022CS00.setQ022CT00_FEC_ALTA_MODIF(false);

        iTablaBDQ022CS00.setQ022CT00_FEC_MOD(null);

        iTablaBDQ022CS00.setQ022CT00_FEC_MOD_WHERE(null);

        iTablaBDQ022CS00.setQ022CT00_FEC_MOD_MODIF(false);

        iTablaBDQ022CS00.setQ22CT00_MES(null);

        iTablaBDQ022CS00.setQ22CT00_MES_WHERE(null);

        iTablaBDQ022CS00.setQ22CT00_MES_MODIF(false);

        iTablaBDQ022CS00.setMUN_PROV(null);

        iTablaBDQ022CS00.setMUN_PROV_WHERE(null);

        iTablaBDQ022CS00.setMUN_PROV_MODIF(false);

        iTablaBDQ022CS00.setMUN_MUNI(null);

        iTablaBDQ022CS00.setMUN_MUNI_WHERE(null);

        iTablaBDQ022CS00.setMUN_MUNI_MODIF(false);

        iTablaBDQ022CS00.setQ022CT00_OBSSU(null);

        iTablaBDQ022CS00.setQ022CT00_OBSSU_WHERE(null);

        iTablaBDQ022CS00.setQ022CT00_OBSSU_MODIF(false);

        iTablaBDQ022CS00.setQ022CT00_NCUS(null);

        iTablaBDQ022CS00.setQ022CT00_NCUS_WHERE(null);

        iTablaBDQ022CS00.setQ022CT00_NCUS_MODIF(false);

        iTablaBDQ022CS00.setNumMaxRegistros(0);

        iTablaBDQ022CS00.setNumInicio(0);

        iTablaBDQ022CS00.setNumFinal(0);

        iTablaBDQ022CS00.setOrderBy(null);

        iTablaBDQ022CS00.setAditionalWhere(null);

        iTablaBDQ022CS00.setInitialWhere(null);

        iTablaBDQ022CS00.setFixedWhere(null);

        iTablaBDQ022CS00.setDistinct(null);

        iTablaBDQ022CS00.setMax(null);

        columnasSelect = null;

        tableFrom = "Q022CS00";

        iTablaBDQ022CS00.setUncommittedRead(false);

        iTablaBDQ022CS00.setForUpdate(false);

        iTablaBDQ022CS00.setGroupBy(null);

    }



    /** Method addColumnSelect(nombreColumna) 

    * @param nombreColumna New value of property columnasSelect.

    * Este método añade una nueva columna a mostrar en el resultado de la select

    * Añadir las columnas usando las constantes de la tabla

    */

    public void addColumnSelect(String nombreColumna) {

        iTablaBDQ022CS00.addColumnSelect(nombreColumna);

    }



    /** Method clearColumnsSelect() 

    * Este método vacia el ArrayList con los nombres de las columnas sobre los q hacer la select

    */

    public void clearColumnsSelect() {

        iTablaBDQ022CS00.clearColumnsSelect();

    }



    /** Method setColumnsSelect(listaColumnas) 

    * Este método da valor al ArrayList con los nombres de las columnas sobre los q hacer la select

    */

    public void setColumnsSelect(String listaColumnas) {

        iTablaBDQ022CS00.setColumnsSelect(listaColumnas);

    }



    /** Method setTableFrom(listaTablas) 

    * @param listaTablas New value of property tableFrom.

    * Este método añade la lista de tablas pasadas por parametro a la from .

    * Cada tabla de la lista debe ir separada por comas

    */

    public void setTableFrom(String listaTablas) {

        iTablaBDQ022CS00.setTableFrom(listaTablas);

    }



    /** Method getTableFrom() 

    * Este método devuelve un String con los nombres de las tablas sobres las q hacer la

    * from separadas por comas.

    */

    public String getTableFrom() {

        return iTablaBDQ022CS00.getTableFrom();

    }



    /** Method getRegModif() 

    * Este método devuelve un int con el nº de regs modificados

    */

    public int getRegModif() {

        return iTablaBDQ022CS00.getRegModif();

    }



    /** Method setUncommittedRead() 

    * Este método es válido SOLO EN DB2. Permite 'lecturas sucias' si se establece a true

    */

    public void setUncommittedRead(boolean ur) {

        iTablaBDQ022CS00.setUncommittedRead(ur);

    }



    /** Method getUncommittedRead() 

    * Este método es válido SOLO EN DB2.Devuelve el valor de UncommittedRead

    */

    public boolean getUncommittedRead() {

        return iTablaBDQ022CS00.getUncommittedRead();

    }



    /** Method setForUpdate() 

    * Este método permite añadir la clausula FOR UPDATE si se establece a true

    */

    public void setForUpdate(boolean fu) {

        iTablaBDQ022CS00.setForUpdate(fu);

    }



    /** Method getForUpdate() 

    * Este método devuelve el valor de forUpdate

    */

    public boolean getForUpdate() {

        return iTablaBDQ022CS00.getForUpdate();

    }



    /** Method setGroupBy(listaColumnas) 

    * @param listaColumnas New value of property groupBy.

    * Este método da el valor de la lista de columnas pasadas por parametro a la groupby .

    * Cada columna de la lista debe ir separada por comas

    */

    public void setGroupBy(String listaColumnas) {

             iTablaBDQ022CS00.setGroupBy(listaColumnas);

    }



    /** Method getGroupBy() 

    * Este método devuelve un String con los nombres de las columnas sobres las q hacer la

    * groupBy separadas por comas.

    */

    public String getGroupBy() {

        return iTablaBDQ022CS00.getGroupBy();

    }



    /** Method getColumnsSelect() 

    * Este método devuelve un String con los nombres de las columnas sobres las q hacer la

    * select separadas por comas.

    */

    public String getColumnsSelect() {

        return iTablaBDQ022CS00.getColumnsSelect();

    }



    /** Method select(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet select(String where)throws SQLException,Q02bDAOException  {

        return iTablaBDQ022CS00.select(where);

    }



    /** Method selectCount(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet selectCount(String where)throws SQLException  {

        return iTablaBDQ022CS00.selectCount(where);

    }



    /** Method selectDistinct(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet selectDistinct(String where)throws SQLException  {

        return iTablaBDQ022CS00.selectDistinct(where);

    }



    /** Method selectMax(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet selectMax(String where)throws SQLException  {

        return iTablaBDQ022CS00.selectMax(where);

    }



    /** Method select() 

    * @return Value of the resultSet.

    */

    public ResultSet select()throws SQLException,Q02bDAOException  {

        return iTablaBDQ022CS00.select();

    }



    /** Method selectCount() 

    * @return Value of the resultSet.

    */

    public ResultSet selectCount()throws SQLException  {

        return iTablaBDQ022CS00.selectCount();

    }



    /** Method selectDistinct() 

    * @return Value of the resultSet.

    */

    public ResultSet selectDistinct()throws SQLException  {

        return iTablaBDQ022CS00.selectDistinct();

    }



    /** Method selectMax() 

    * @return Value of the resultSet.

    */

    public ResultSet selectMax()throws SQLException  {

        return iTablaBDQ022CS00.selectMax();

    }



    /** Method update() */

    public void update()throws SQLException  {

        iTablaBDQ022CS00.update();

        }



    /** Method update(where) 

    * @param where New value of property WHERE.

    */

    public void update(String  where )throws SQLException  {

        iTablaBDQ022CS00.update(where);

    }



    /** Method delete(where) 

    * @param where New value of property WHERE.

    */

    public void delete(String where)throws SQLException  {

        iTablaBDQ022CS00.delete(where);

    }



    /** Method delete */

    public void delete()throws SQLException  {

        iTablaBDQ022CS00.delete();

    }



    /** Method insert */

    public void insert()throws SQLException  {

        iTablaBDQ022CS00.insert();

    }



    /** Setter for property Q022CT00_ID_GRUPO.

    * @param valor New value of propertyQ022CT00_ID_GRUPO.

    */

    public void setQ022CT00_ID_GRUPO(int valor) {

        if (iTablaBDQ022CS00==null){

        this.Q022CT00_ID_GRUPO=new Integer(valor);

        }else{

           iTablaBDQ022CS00.setQ022CT00_ID_GRUPO(valor);

        }

    }



    public void setQ022CT00_ID_GRUPO(Integer valor) {

        if (iTablaBDQ022CS00==null){

        this.Q022CT00_ID_GRUPO=valor;

        if (valor==null){

             this.Q022CT00_ID_GRUPO_MODIF=true;

        }

        }else{

           iTablaBDQ022CS00.setQ022CT00_ID_GRUPO(valor);

           if (valor==null){

                iTablaBDQ022CS00.setQ022CT00_ID_GRUPO_MODIF(true);

           }

        }

    }



    public void setQ022CT00_ID_GRUPO_WHERE(int valor) {

        if (iTablaBDQ022CS00==null){

        this.Q022CT00_ID_GRUPO_WHERE=new Integer(valor);

        }else{

           iTablaBDQ022CS00.setQ022CT00_ID_GRUPO_WHERE(valor);

        }

    }



    public void setQ022CT00_ID_GRUPO_WHERE(Integer valor) {

        if (iTablaBDQ022CS00==null){

        this.Q022CT00_ID_GRUPO_WHERE=valor;

        }else{

           iTablaBDQ022CS00.setQ022CT00_ID_GRUPO_WHERE(valor);

        }

    }



    public void setQ022CT00_ID_GRUPO_MODIF(boolean valor) {

        if (iTablaBDQ022CS00==null){

        this.Q022CT00_ID_GRUPO_MODIF=valor;

        }else{

           iTablaBDQ022CS00.setQ022CT00_ID_GRUPO_MODIF(valor);

        }

    }



    /** Setter for property Q022CT00_ANO.

    * @param valor New value of propertyQ022CT00_ANO.

    */

    public void setQ022CT00_ANO(int valor) {

        if (iTablaBDQ022CS00==null){

        this.Q022CT00_ANO=new Integer(valor);

        }else{

           iTablaBDQ022CS00.setQ022CT00_ANO(valor);

        }

    }



    public void setQ022CT00_ANO(Integer valor) {

        if (iTablaBDQ022CS00==null){

        this.Q022CT00_ANO=valor;

        if (valor==null){

             this.Q022CT00_ANO_MODIF=true;

        }

        }else{

           iTablaBDQ022CS00.setQ022CT00_ANO(valor);

           if (valor==null){

                iTablaBDQ022CS00.setQ022CT00_ANO_MODIF(true);

           }

        }

    }



    public void setQ022CT00_ANO_WHERE(int valor) {

        if (iTablaBDQ022CS00==null){

        this.Q022CT00_ANO_WHERE=new Integer(valor);

        }else{

           iTablaBDQ022CS00.setQ022CT00_ANO_WHERE(valor);

        }

    }



    public void setQ022CT00_ANO_WHERE(Integer valor) {

        if (iTablaBDQ022CS00==null){

        this.Q022CT00_ANO_WHERE=valor;

        }else{

           iTablaBDQ022CS00.setQ022CT00_ANO_WHERE(valor);

        }

    }



    public void setQ022CT00_ANO_MODIF(boolean valor) {

        if (iTablaBDQ022CS00==null){

        this.Q022CT00_ANO_MODIF=valor;

        }else{

           iTablaBDQ022CS00.setQ022CT00_ANO_MODIF(valor);

        }

    }



    /** Setter for property Q022CT00_REALIZA_ACTUACION.

    * @param valor New value of propertyQ022CT00_REALIZA_ACTUACION.

    */

    public void setQ022CT00_REALIZA_ACTUACION(int valor) {

        if (iTablaBDQ022CS00==null){

        this.Q022CT00_REALIZA_ACTUACION=new Integer(valor);

        }else{

           iTablaBDQ022CS00.setQ022CT00_REALIZA_ACTUACION(valor);

        }

    }



    public void setQ022CT00_REALIZA_ACTUACION(Integer valor) {

        if (iTablaBDQ022CS00==null){

        this.Q022CT00_REALIZA_ACTUACION=valor;

        if (valor==null){

             this.Q022CT00_REALIZA_ACTUACION_MODIF=true;

        }

        }else{

           iTablaBDQ022CS00.setQ022CT00_REALIZA_ACTUACION(valor);

           if (valor==null){

                iTablaBDQ022CS00.setQ022CT00_REALIZA_ACTUACION_MODIF(true);

           }

        }

    }



    public void setQ022CT00_REALIZA_ACTUACION_WHERE(int valor) {

        if (iTablaBDQ022CS00==null){

        this.Q022CT00_REALIZA_ACTUACION_WHERE=new Integer(valor);

        }else{

           iTablaBDQ022CS00.setQ022CT00_REALIZA_ACTUACION_WHERE(valor);

        }

    }



    public void setQ022CT00_REALIZA_ACTUACION_WHERE(Integer valor) {

        if (iTablaBDQ022CS00==null){

        this.Q022CT00_REALIZA_ACTUACION_WHERE=valor;

        }else{

           iTablaBDQ022CS00.setQ022CT00_REALIZA_ACTUACION_WHERE(valor);

        }

    }



    public void setQ022CT00_REALIZA_ACTUACION_MODIF(boolean valor) {

        if (iTablaBDQ022CS00==null){

        this.Q022CT00_REALIZA_ACTUACION_MODIF=valor;

        }else{

           iTablaBDQ022CS00.setQ022CT00_REALIZA_ACTUACION_MODIF(valor);

        }

    }



    /** Setter for property Q022CT00_FEC_ALTA.

    * @param valor New value of propertyQ022CT00_FEC_ALTA.

    */

    public void setQ022CT00_FEC_ALTA(java.util.Date valor) {

        if (iTablaBDQ022CS00==null){

        this.Q022CT00_FEC_ALTA=valor;

        if (valor==null){

            this.Q022CT00_FEC_ALTA_MODIF =true;

        }

        }else{

           iTablaBDQ022CS00.setQ022CT00_FEC_ALTA(valor);

           if (valor==null){

              iTablaBDQ022CS00.setQ022CT00_FEC_ALTA_MODIF(true);

           }

        }

    }



    public void setQ022CT00_FEC_ALTA_WHERE(java.util.Date valor) {

        if (iTablaBDQ022CS00==null){

        this.Q022CT00_FEC_ALTA_WHERE=valor;

        }else{

           iTablaBDQ022CS00.setQ022CT00_FEC_ALTA_WHERE(valor);

        }

    }



    public void setQ022CT00_FEC_ALTA_MODIF(boolean valor) {

        if (iTablaBDQ022CS00==null){

        this.Q022CT00_FEC_ALTA_MODIF=valor;

        }else{

           iTablaBDQ022CS00.setQ022CT00_FEC_ALTA_MODIF(valor);

        }

    }



    /** Setter for property Q022CT00_FEC_MOD.

    * @param valor New value of propertyQ022CT00_FEC_MOD.

    */

    public void setQ022CT00_FEC_MOD(java.util.Date valor) {

        if (iTablaBDQ022CS00==null){

        this.Q022CT00_FEC_MOD=valor;

        if (valor==null){

            this.Q022CT00_FEC_MOD_MODIF =true;

        }

        }else{

           iTablaBDQ022CS00.setQ022CT00_FEC_MOD(valor);

           if (valor==null){

              iTablaBDQ022CS00.setQ022CT00_FEC_MOD_MODIF(true);

           }

        }

    }



    public void setQ022CT00_FEC_MOD_WHERE(java.util.Date valor) {

        if (iTablaBDQ022CS00==null){

        this.Q022CT00_FEC_MOD_WHERE=valor;

        }else{

           iTablaBDQ022CS00.setQ022CT00_FEC_MOD_WHERE(valor);

        }

    }



    public void setQ022CT00_FEC_MOD_MODIF(boolean valor) {

        if (iTablaBDQ022CS00==null){

        this.Q022CT00_FEC_MOD_MODIF=valor;

        }else{

           iTablaBDQ022CS00.setQ022CT00_FEC_MOD_MODIF(valor);

        }

    }



    /** Setter for property Q22CT00_MES.

    * @param valor New value of propertyQ22CT00_MES.

    */

    public void setQ22CT00_MES(int valor) {

        if (iTablaBDQ022CS00==null){

        this.Q22CT00_MES=new Integer(valor);

        }else{

           iTablaBDQ022CS00.setQ22CT00_MES(valor);

        }

    }



    public void setQ22CT00_MES(Integer valor) {

        if (iTablaBDQ022CS00==null){

        this.Q22CT00_MES=valor;

        if (valor==null){

             this.Q22CT00_MES_MODIF=true;

        }

        }else{

           iTablaBDQ022CS00.setQ22CT00_MES(valor);

           if (valor==null){

                iTablaBDQ022CS00.setQ22CT00_MES_MODIF(true);

           }

        }

    }



    public void setQ22CT00_MES_WHERE(int valor) {

        if (iTablaBDQ022CS00==null){

        this.Q22CT00_MES_WHERE=new Integer(valor);

        }else{

           iTablaBDQ022CS00.setQ22CT00_MES_WHERE(valor);

        }

    }



    public void setQ22CT00_MES_WHERE(Integer valor) {

        if (iTablaBDQ022CS00==null){

        this.Q22CT00_MES_WHERE=valor;

        }else{

           iTablaBDQ022CS00.setQ22CT00_MES_WHERE(valor);

        }

    }



    public void setQ22CT00_MES_MODIF(boolean valor) {

        if (iTablaBDQ022CS00==null){

        this.Q22CT00_MES_MODIF=valor;

        }else{

           iTablaBDQ022CS00.setQ22CT00_MES_MODIF(valor);

        }

    }



    /** Setter for property MUN_PROV.

    * @param valor New value of propertyMUN_PROV.

    */

    public void setMUN_PROV(String valor) {

        if (iTablaBDQ022CS00==null){

        this.MUN_PROV=valor;

        if (valor==null){

            this.MUN_PROV_MODIF =true;

        }

        }else{

           iTablaBDQ022CS00.setMUN_PROV(valor);

           if (valor==null){

              iTablaBDQ022CS00.setMUN_PROV_MODIF(true);

           }

        }

    }



    public void setMUN_PROV_WHERE(String valor) {

        if (iTablaBDQ022CS00==null){

        this.MUN_PROV_WHERE=valor;

        }else{

           iTablaBDQ022CS00.setMUN_PROV_WHERE(valor);

        }

    }



    public void setMUN_PROV_MODIF(boolean valor) {

        if (iTablaBDQ022CS00==null){

        this.MUN_PROV_MODIF=valor;

        }else{

           iTablaBDQ022CS00.setMUN_PROV_MODIF(valor);

        }

    }



    /** Setter for property MUN_MUNI.

    * @param valor New value of propertyMUN_MUNI.

    */

    public void setMUN_MUNI(String valor) {

        if (iTablaBDQ022CS00==null){

        this.MUN_MUNI=valor;

        if (valor==null){

            this.MUN_MUNI_MODIF =true;

        }

        }else{

           iTablaBDQ022CS00.setMUN_MUNI(valor);

           if (valor==null){

              iTablaBDQ022CS00.setMUN_MUNI_MODIF(true);

           }

        }

    }



    public void setMUN_MUNI_WHERE(String valor) {

        if (iTablaBDQ022CS00==null){

        this.MUN_MUNI_WHERE=valor;

        }else{

           iTablaBDQ022CS00.setMUN_MUNI_WHERE(valor);

        }

    }



    public void setMUN_MUNI_MODIF(boolean valor) {

        if (iTablaBDQ022CS00==null){

        this.MUN_MUNI_MODIF=valor;

        }else{

           iTablaBDQ022CS00.setMUN_MUNI_MODIF(valor);

        }

    }



    /** Setter for property Q022CT00_OBSSU.

    * @param valor New value of propertyQ022CT00_OBSSU.

    */

    public void setQ022CT00_OBSSU(String valor) {

        if (iTablaBDQ022CS00==null){

        this.Q022CT00_OBSSU=valor;

        if (valor==null){

            this.Q022CT00_OBSSU_MODIF =true;

        }

        }else{

           iTablaBDQ022CS00.setQ022CT00_OBSSU(valor);

           if (valor==null){

              iTablaBDQ022CS00.setQ022CT00_OBSSU_MODIF(true);

           }

        }

    }



    public void setQ022CT00_OBSSU_WHERE(String valor) {

        if (iTablaBDQ022CS00==null){

        this.Q022CT00_OBSSU_WHERE=valor;

        }else{

           iTablaBDQ022CS00.setQ022CT00_OBSSU_WHERE(valor);

        }

    }



    public void setQ022CT00_OBSSU_MODIF(boolean valor) {

        if (iTablaBDQ022CS00==null){

        this.Q022CT00_OBSSU_MODIF=valor;

        }else{

           iTablaBDQ022CS00.setQ022CT00_OBSSU_MODIF(valor);

        }

    }



    /** Setter for property Q022CT00_NCUS.

    * @param valor New value of propertyQ022CT00_NCUS.

    */

    public void setQ022CT00_NCUS(int valor) {

        if (iTablaBDQ022CS00==null){

        this.Q022CT00_NCUS=new Integer(valor);

        }else{

           iTablaBDQ022CS00.setQ022CT00_NCUS(valor);

        }

    }



    public void setQ022CT00_NCUS(Integer valor) {

        if (iTablaBDQ022CS00==null){

        this.Q022CT00_NCUS=valor;

        if (valor==null){

             this.Q022CT00_NCUS_MODIF=true;

        }

        }else{

           iTablaBDQ022CS00.setQ022CT00_NCUS(valor);

           if (valor==null){

                iTablaBDQ022CS00.setQ022CT00_NCUS_MODIF(true);

           }

        }

    }



    public void setQ022CT00_NCUS_WHERE(int valor) {

        if (iTablaBDQ022CS00==null){

        this.Q022CT00_NCUS_WHERE=new Integer(valor);

        }else{

           iTablaBDQ022CS00.setQ022CT00_NCUS_WHERE(valor);

        }

    }



    public void setQ022CT00_NCUS_WHERE(Integer valor) {

        if (iTablaBDQ022CS00==null){

        this.Q022CT00_NCUS_WHERE=valor;

        }else{

           iTablaBDQ022CS00.setQ022CT00_NCUS_WHERE(valor);

        }

    }



    public void setQ022CT00_NCUS_MODIF(boolean valor) {

        if (iTablaBDQ022CS00==null){

        this.Q022CT00_NCUS_MODIF=valor;

        }else{

           iTablaBDQ022CS00.setQ022CT00_NCUS_MODIF(valor);

        }

    }



    /** Getter for property Q022CT00_ID_GRUPO.

    * @return Value of property Q022CT00_ID_GRUPO.

    */

    public Integer getQ022CT00_ID_GRUPO() {

        if (iTablaBDQ022CS00==null){

            return this.Q022CT00_ID_GRUPO;

        }else{

           return iTablaBDQ022CS00.getQ022CT00_ID_GRUPO();

        }

    }



    /** Getter for property Q022CT00_ID_GRUPO_WHERE.

    * @return Value of property Q022CT00_ID_GRUPO_WHERE.

    */

    public Integer getQ022CT00_ID_GRUPO_WHERE() {

        if (iTablaBDQ022CS00==null){

            return this.Q022CT00_ID_GRUPO_WHERE;

        }else{

           return iTablaBDQ022CS00.getQ022CT00_ID_GRUPO_WHERE();

        }

    }



    /** Getter for property Q022CT00_ANO.

    * @return Value of property Q022CT00_ANO.

    */

    public Integer getQ022CT00_ANO() {

        if (iTablaBDQ022CS00==null){

            return this.Q022CT00_ANO;

        }else{

           return iTablaBDQ022CS00.getQ022CT00_ANO();

        }

    }



    /** Getter for property Q022CT00_ANO_WHERE.

    * @return Value of property Q022CT00_ANO_WHERE.

    */

    public Integer getQ022CT00_ANO_WHERE() {

        if (iTablaBDQ022CS00==null){

            return this.Q022CT00_ANO_WHERE;

        }else{

           return iTablaBDQ022CS00.getQ022CT00_ANO_WHERE();

        }

    }



    /** Getter for property Q022CT00_REALIZA_ACTUACION.

    * @return Value of property Q022CT00_REALIZA_ACTUACION.

    */

    public Integer getQ022CT00_REALIZA_ACTUACION() {

        if (iTablaBDQ022CS00==null){

            return this.Q022CT00_REALIZA_ACTUACION;

        }else{

           return iTablaBDQ022CS00.getQ022CT00_REALIZA_ACTUACION();

        }

    }



    /** Getter for property Q022CT00_REALIZA_ACTUACION_WHERE.

    * @return Value of property Q022CT00_REALIZA_ACTUACION_WHERE.

    */

    public Integer getQ022CT00_REALIZA_ACTUACION_WHERE() {

        if (iTablaBDQ022CS00==null){

            return this.Q022CT00_REALIZA_ACTUACION_WHERE;

        }else{

           return iTablaBDQ022CS00.getQ022CT00_REALIZA_ACTUACION_WHERE();

        }

    }



    /** Getter for property Q022CT00_FEC_ALTA.

    * @return Value of property Q022CT00_FEC_ALTA.

    */

    public java.util.Date getQ022CT00_FEC_ALTA() {

        if (iTablaBDQ022CS00==null){

            return this.Q022CT00_FEC_ALTA;

        }else{

           return iTablaBDQ022CS00.getQ022CT00_FEC_ALTA();

        }

    }



    /** Getter for property Q022CT00_FEC_ALTA_WHERE.

    * @return Value of property Q022CT00_FEC_ALTA_WHERE.

    */

    public java.util.Date getQ022CT00_FEC_ALTA_WHERE() {

        if (iTablaBDQ022CS00==null){

            return this.Q022CT00_FEC_ALTA_WHERE;

        }else{

           return iTablaBDQ022CS00.getQ022CT00_FEC_ALTA_WHERE();

        }

    }



    /** Getter for property Q022CT00_FEC_MOD.

    * @return Value of property Q022CT00_FEC_MOD.

    */

    public java.util.Date getQ022CT00_FEC_MOD() {

        if (iTablaBDQ022CS00==null){

            return this.Q022CT00_FEC_MOD;

        }else{

           return iTablaBDQ022CS00.getQ022CT00_FEC_MOD();

        }

    }



    /** Getter for property Q022CT00_FEC_MOD_WHERE.

    * @return Value of property Q022CT00_FEC_MOD_WHERE.

    */

    public java.util.Date getQ022CT00_FEC_MOD_WHERE() {

        if (iTablaBDQ022CS00==null){

            return this.Q022CT00_FEC_MOD_WHERE;

        }else{

           return iTablaBDQ022CS00.getQ022CT00_FEC_MOD_WHERE();

        }

    }



    /** Getter for property Q22CT00_MES.

    * @return Value of property Q22CT00_MES.

    */

    public Integer getQ22CT00_MES() {

        if (iTablaBDQ022CS00==null){

            return this.Q22CT00_MES;

        }else{

           return iTablaBDQ022CS00.getQ22CT00_MES();

        }

    }



    /** Getter for property Q22CT00_MES_WHERE.

    * @return Value of property Q22CT00_MES_WHERE.

    */

    public Integer getQ22CT00_MES_WHERE() {

        if (iTablaBDQ022CS00==null){

            return this.Q22CT00_MES_WHERE;

        }else{

           return iTablaBDQ022CS00.getQ22CT00_MES_WHERE();

        }

    }



    /** Getter for property MUN_PROV.

    * @return Value of property MUN_PROV.

    */

    public String getMUN_PROV() {

        if (iTablaBDQ022CS00==null){

            return this.MUN_PROV;

        }else{

           return iTablaBDQ022CS00.getMUN_PROV();

        }

    }



    /** Getter for property MUN_PROV_WHERE.

    * @return Value of property MUN_PROV_WHERE.

    */

    public String getMUN_PROV_WHERE() {

        if (iTablaBDQ022CS00==null){

            return this.MUN_PROV_WHERE;

        }else{

           return iTablaBDQ022CS00.getMUN_PROV_WHERE();

        }

    }



    /** Getter for property MUN_MUNI.

    * @return Value of property MUN_MUNI.

    */

    public String getMUN_MUNI() {

        if (iTablaBDQ022CS00==null){

            return this.MUN_MUNI;

        }else{

           return iTablaBDQ022CS00.getMUN_MUNI();

        }

    }



    /** Getter for property MUN_MUNI_WHERE.

    * @return Value of property MUN_MUNI_WHERE.

    */

    public String getMUN_MUNI_WHERE() {

        if (iTablaBDQ022CS00==null){

            return this.MUN_MUNI_WHERE;

        }else{

           return iTablaBDQ022CS00.getMUN_MUNI_WHERE();

        }

    }



    /** Getter for property Q022CT00_OBSSU.

    * @return Value of property Q022CT00_OBSSU.

    */

    public String getQ022CT00_OBSSU() {

        if (iTablaBDQ022CS00==null){

            return this.Q022CT00_OBSSU;

        }else{

           return iTablaBDQ022CS00.getQ022CT00_OBSSU();

        }

    }



    /** Getter for property Q022CT00_OBSSU_WHERE.

    * @return Value of property Q022CT00_OBSSU_WHERE.

    */

    public String getQ022CT00_OBSSU_WHERE() {

        if (iTablaBDQ022CS00==null){

            return this.Q022CT00_OBSSU_WHERE;

        }else{

           return iTablaBDQ022CS00.getQ022CT00_OBSSU_WHERE();

        }

    }



    /** Getter for property Q022CT00_NCUS.

    * @return Value of property Q022CT00_NCUS.

    */

    public Integer getQ022CT00_NCUS() {

        if (iTablaBDQ022CS00==null){

            return this.Q022CT00_NCUS;

        }else{

           return iTablaBDQ022CS00.getQ022CT00_NCUS();

        }

    }



    /** Getter for property Q022CT00_NCUS_WHERE.

    * @return Value of property Q022CT00_NCUS_WHERE.

    */

    public Integer getQ022CT00_NCUS_WHERE() {

        if (iTablaBDQ022CS00==null){

            return this.Q022CT00_NCUS_WHERE;

        }else{

           return iTablaBDQ022CS00.getQ022CT00_NCUS_WHERE();

        }

    }



    /** Setter for property idConexion.

    * @param valor New value of property idConexion.

    */

    public void setIdConexion(String valor) {

        if (iTablaBDQ022CS00==null){

           this.idConexion = valor;

        }else{

           iTablaBDQ022CS00.setIdConexion(valor);

        }

    }



    /** Getter for property fechaClase.

    * @return Value of property fechaClase.

    */

    public String getFechaClase() {

        if (iTablaBDQ022CS00==null){

           return sFechaClase;

        }else{

           return iTablaBDQ022CS00.getFechaClase();

        }

    }



    /** Getter for property idConexion.

    * @return Value of property idConexion.

    */

    public String getIdConexion() {

        if (iTablaBDQ022CS00==null){

           return this.idConexion;

        }else{

           return iTablaBDQ022CS00.getIdConexion();

        }

    }



    /** Getter for property queryLog.

    * @return Value of property queryLog.

    * variable donde se guarda la ultima sentencia ejecutada

    */

    public String getQueryLog() {

        if (iTablaBDQ022CS00==null){

           return this.queryLog.toString();

        }else{

           return iTablaBDQ022CS00.getQueryLog();

        }

    }



    /** Setter for property numInicio.

    * @param valor New value of property numInicio.

    */

    public void setNumInicio(int valor) {

        if (iTablaBDQ022CS00==null){

        this.numInicio = valor;

        }else{

           iTablaBDQ022CS00.setNumInicio(valor);

        }

    }



    /** Getter for property numInicio.

    * @return Value of property numInicio.

    */

    public int getNumInicio() {

        if (iTablaBDQ022CS00==null){

           return this.numInicio;

        }else{

           return iTablaBDQ022CS00.getNumInicio();

        }

    }



    /** Setter for property numFinal.

    * @param valor New value of property numFinal.

    */

    public void setNumFinal(int valor) {

        if (iTablaBDQ022CS00==null){

        this.numFinal = valor;

        }else{

           iTablaBDQ022CS00.setNumFinal(valor);

        }

    }



    /** Getter for property numFinal.

    * @return Value of property numFinal.

    */

    public int getNumFinal() {

        if (iTablaBDQ022CS00==null){

           return this.numFinal;

        }else{

           return iTablaBDQ022CS00.getNumFinal();

        }

    }



    /** Setter for property numMaxRegistros.

    * @param valor New value of property numMaxRegistros.

    */

    public void setNumMaxRegistros(int valor) {

        if (iTablaBDQ022CS00==null){

        this.numMaxRegistros = valor;

        }else{

           iTablaBDQ022CS00.setNumMaxRegistros(valor);

        }

    }



    /** Getter for property numMaxRegistros.

    * @return Value of property numMaxRegistros.

    */

    public int getNumMaxRegistros() {

        if (iTablaBDQ022CS00==null){

           return this.numMaxRegistros;

        }else{

           return iTablaBDQ022CS00.getNumMaxRegistros();

        }

    }



    /** Setter for property limitRows.

    * @param valor New value of property limitRows.

    */

    public void setLimitRows(boolean valor) {

        if (iTablaBDQ022CS00==null){

        this.limitRows = valor;

        }else{

           iTablaBDQ022CS00.setLimitRows(valor);

        }

    }



    /** Getter for property limitRows.

    * @return Value of property limitRows.

    */

    public boolean getLimitRows() {

        if (iTablaBDQ022CS00==null){

           return this.limitRows;

        }else{

           return iTablaBDQ022CS00.getLimitRows();

        }

    }



    /** Getter for property connection.

    * @return Value of property connection.

    */

    public Connection getConn() {

        if (iTablaBDQ022CS00==null){

           return this.connection;

        }else{

           return iTablaBDQ022CS00.getConn();

        }

    }



    /** Setter for property orderBy.

    * @param valor New value of property orderBy.

    */

    public void setOrderBy(String valor) {

        if (iTablaBDQ022CS00==null){

           this.orderBy = valor;

        }else{

           iTablaBDQ022CS00.setOrderBy(valor);

        }

    }



    /** Getter for property orderBy.

    * @return Value of property orderBy.

    */

    public String getOrderBy() {

        if (iTablaBDQ022CS00==null){

           return this.orderBy;

        }else{

           return iTablaBDQ022CS00.getOrderBy();

        }

    }



    /** Setter for property aditionalWhere.

    * @param valor New value of property aditionalWhere.

    */

    public void setAditionalWhere(String valor) {

        if (iTablaBDQ022CS00==null){

           this.aditionalWhere = valor;

        }else{

           iTablaBDQ022CS00.setAditionalWhere(valor);

        }

    }



    /** Getter for property aditionalWhere.

    * @return Value of property aditionalWhere.

    */

    public String getAditionalWhere() {

        if (iTablaBDQ022CS00==null){

           return this.aditionalWhere;

        }else{

           return iTablaBDQ022CS00.getAditionalWhere();

        }

    }



    /** Getter for property initialWhere.

    * @return Value of property initialWhere.

    */

    public String getInitialWhere() {

        if (iTablaBDQ022CS00==null){

           return this.initialWhere;

        }else{

           return iTablaBDQ022CS00.getInitialWhere();

        }

    }



    /** Setter for property initialWhere.

    * @param valor New value of property initialWhere.

    */

    public void setInitialWhere(String valor) {

        if (iTablaBDQ022CS00==null){

           this.initialWhere = valor;

        }else{

           iTablaBDQ022CS00.setInitialWhere(valor);

        }

    }



    /** Getter for property fixedWhere.

    * @return Value of property fixedWhere.

    */

    public String getFixedWhere() {

        if (iTablaBDQ022CS00==null){

           return this.fixedWhere;

        }else{

           return iTablaBDQ022CS00.getFixedWhere();

        }

    }



    /** Setter for property fixedWhere.

    * @param valor New value of property fixedWhere.

    */

    public void setFixedWhere(String valor) {

        if (iTablaBDQ022CS00==null){

           this.fixedWhere = valor;

        }else{

           iTablaBDQ022CS00.setFixedWhere(valor);

        }

    }



    /** Setter for property distinct.

    * @param valor New value of property distinct.

    */

    public void setDistinct(String valor) {

        if (iTablaBDQ022CS00==null){

           this.distinct = valor;

        }else{

           iTablaBDQ022CS00.setDistinct(valor);

        }

    }



    /** Getter for property distinct.

    * @return Value of property distinct.

    */

    public String getDistinct() {

        if (iTablaBDQ022CS00==null){

           return this.distinct;

        }else{

           return iTablaBDQ022CS00.getDistinct();

        }

    }



    /** Setter for property max.

    * @param valor New value of property max.

    */

    public void setMax(String valor) {

        if (iTablaBDQ022CS00==null){

           this.max = valor;

        }else{

           iTablaBDQ022CS00.setMax(valor);

        }

    }



    /** Getter for property max.

    * @return Value of property max.

    */

    public String getMax() {

        if (iTablaBDQ022CS00==null){

           return this.max;

        }else{

           return iTablaBDQ022CS00.getMax();

        }

    }



    /** Method freeResources.

    * @return void.

    */

    public void freeResources() {

        if (iTablaBDQ022CS00==null){

           super.freeResources();

        }else{

           iTablaBDQ022CS00.freeResources();

        }

    }



    /** Method freeResourcesNotConnection.

    * @return void.

    */

    public void freeResourcesNotConnection() {

        if (iTablaBDQ022CS00==null){

           super.freeResourcesNotConnection();

        }else{

           iTablaBDQ022CS00.freeResourcesNotConnection();

        }

    }



    /** Method getColumnas.

    * @return String[].

    */

    public String[] getColumnas() {

        return this.columnas;

    }



    /** Method getColumnasPK.

    * @return String[].

    */

    public String[] getColumnasPK() {

        return this.columnasPK;

    }



    /** Method getTipos.

    * @return int[].

    */

    public int[] getTipos() {

        return this.tipos;

    }



}

